## cpdb-libs 1.1.1

=== demo/Makefile ===
CPD_FRONT_FLAGS=$(shell pkg-config --cflags --libs cpdb-libs-frontend)
GLIB_FLAGS=$(shell pkg-config --cflags --libs gio-2.0 gio-unix-2.0 glib-2.0)

.PHONY = all 

all: print_frontend pickle_test

#compile the sample frontend
print_frontend: print_frontend.c 
	gcc -g -pg -o $@ $^ $(CPD_FRONT_FLAGS) $(GLIB_FLAGS)

pickle_test: pickle_test.c
	gcc -g -pg -o $@ $^ $(CPD_FRONT_FLAGS)

clean:
	rm -f print_frontend pickle_test

## cpdb-libs 1.1.0

=== debian/changelog ===
cpdb-libs (1.1.0-0ubuntu1) bionic; urgency=low

  * Initial Ubuntu release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 12 Dec 2017 17:51:10 -0200

=== debian/control ===
Source: cpdb-libs
Standards-Version: 4.1.0
Priority: optional
Section: net
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: 
 Till Kamppeter <till.kamppeter@gmail.com>,
 Didier Raboud <odyx@debian.org>
Build-Depends: 
 autoconf,
 debhelper (>= 10.2.5~),
 dpkg-dev (>= 1.16.1~),
 pkg-config,
 sharutils,
 libcups2-dev (>= 2.2.2),
 libdbus-1-dev
Homepage: https://github.com/OpenPrinting/cpdb-libs
#Vcs-Git: https://alioth.debian.org/anonscm/git/printing/cpdb-libs.git
#Vcs-Browser: https://anonscm.debian.org/cgit/printing/cpdb-libs.git

Package: libcpdb-libs-common0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, 
 ${misc:Depends}
Multi-Arch: same
Description: Common Print Dialog Backends - Interface Library for Backends
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, Google Cloud Print, Save to
 File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains the library which provides the functions needed
 by both the frontends and the backends.

Package: libcpdb-libs-frontend0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 libcpdb-libs-common0 (= ${binary:Version})
Multi-Arch: same
Description: Common Print Dialog Backends - Interface Library for Frontends
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, Google Cloud Print, Save to
 File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains the library which provides the functions needed
 by the frontends (print dialogs).

Package: libcpdb-libs-backend-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libcpdb-libs-common0 (= ${binary:Version}),
 libcpdb-libs-common-dev (= ${binary:Version})
Description: Common Print Dialog Backends - Development files for Backend Library
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, Google Cloud Print, Save to
 File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains the header files to develop print dialog
 backends using libcpdb-libs-backend.

Package: libcpdb-libs-frontend-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libcpdb-libs-frontend0 (= ${binary:Version}),
 libcpdb-libs-common0 (= ${binary:Version}),
 libcpdb-libs-common-dev (= ${binary:Version})
Description: Common Print Dialog Backends - Development files for Frontend Library
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, Google Cloud Print, Save to
 File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains the header files to develop print dialogs
 supporting the Common Print Dialog Backends interface using
 libcpdb-libs-frontend.

Package: libcpdb-libs-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libcpdb-libs-common0 (= ${binary:Version})
Description: Common Print Dialog Backends - Development files for both libraries
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, Google Cloud Print, Save to
 File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains a common header file to develop print dialogs
 supporting the Common Print Dialog Backends interface using
 libcpdb-libs-backend or libcpdb-libs-frontend.

## cpdb-libs 1.1.1

=== debian/changelog ===
cpdb-libs (1.1.1-0ubuntu1) bionic; urgency=medium

  * New upstream release
    - Fix get-all-jobs crash

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 01 Mar 2018 14:40:46 +0100

cpdb-libs (1.1.0-0ubuntu2) bionic; urgency=low

  * Added missing libglib2.0-dev build dependency, to avoid FTBFS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 24 Jan 2018 12:31:10 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  dpkg-dev (>= 1.16.1~),
  pkg-config,
  sharutils,
+ libglib2.0-dev,
  libcups2-dev (>= 2.2.2),
  libdbus-1-dev
 Homepage: https://github.com/OpenPrinting/cpdb-libs

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--with-shell=/bin/sh \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--mandir=/usr/share/man \
		--enable-static

override_dh_installdocs:
	dh_installdocs -A LICENSE.md README.md

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_clean:
	[ ! -r Makefile ] || make distclean

override_dh_install:
	dh_install

get-orig-source:
	set -e;\
	quilt pop -af || true ;\
	rm -Rf .pc ;\
	gbp import-orig --pristine-tar --uscan --no-merge --upstream-branch=upstream/latest;\
	utag=`git describe --exact-match heads/upstream/latest | sed -e 's#^upstream/##'` ;\
	ucommit=`git rev-parse --verify upstream/latest`;\
	git dpm record-new-upstream --rebase-patched --allow-changes-in-debian-branch ../cpdb-libs_$$utag.orig.tar.gz $$ucommit ;\
	git dpm update-patches -m "Merge upstream-repacked $$utag version and refresh git-dpm patches"

## cpdb-libs 1.1.2

=== debian/changelog ===
cpdb-libs (1.1.2-0ubuntu1) cosmic; urgency=medium

  * New upstream release
    - Do not sprintf() into fixed-size string buffers
  * Build and install demo/print_frondend as part of the libcpdb-libs-common-dev
    binary package, for the autopkg test
  * Added an autopkg test.
  * Added symbols files for the two libraries: libcpdb-libs-common0 and
    libcpdb-libs-frontend0

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 21 Jun 2018 19:49:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,11 @@
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=/usr/share/man \
 		--enable-static
+
+override_dh_auto_build:
+	dh_auto_build; \
+	cd demo; \
+	make
 
 override_dh_installdocs:
 	dh_installdocs -A LICENSE.md README.md

## cpdb-libs 1.2.0

=== debian/changelog ===
cpdb-libs (1.2.0-2) unstable; urgency=medium

  * source upload
  * move to debian-printing maintenance
  * debian/tests/control: update dependencies
  * debian/watch: update for github
  * debian/control: add special treatment for Ubuntu (Closes: #1028502)
                    (thanks to Jeremy Bicha for the patch)
  * debian/control: bump standard to 4.6.2 (no changes)
  * repository on salsa created (Closes: #1028500)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 12 Jan 2023 22:03:02 +0100

cpdb-libs (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #911335)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 08 Jan 2023 19:03:02 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,17 +13,23 @@
 
 override_dh_auto_build:
 	dh_auto_build; \
-	cd demo; \
-	make
+	cd lib; \
+	ln -s . cpd-interface-headers; \
+	cd ../demo; \
+	make CPD_FRONT_FLAGS='-D_FORTIFY_SOURCE=2 -Wl,-z,now -Wl,-z,relro -I../lib -L../lib/.libs -lcpdb-libs-frontend -lcpdb-libs-common' print_frontend; \
+	cd ../lib;
+	rm -f cpd-interface-headers; \
+	cd ..
 
 override_dh_installdocs:
-	dh_installdocs -A LICENSE.md README.md
+	dh_installdocs -A README.md
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
 override_dh_auto_clean:
 	[ ! -r Makefile ] || make distclean
+	rm -f lib/cpd-interface-headers
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
Tests: text-frontend-vs-cups-backend
Restrictions: needs-root
Depends: @, cups-core-drivers, cups-client, cups, cups-filters, cpdb-backend-cups

## cpdb-libs 2.0~b3

=== demo/Makefile ===
CPDB_FRONTEND_FLAGS=$(shell pkg-config --cflags --libs cpdb-frontend)
GLIB_FLAGS=$(shell pkg-config --cflags --libs gio-2.0 gio-unix-2.0 glib-2.0)

.PHONY = all 

all: print_frontend pickle_test

#compile the sample frontend
print_frontend: print_frontend.c 
	gcc -g -pg -o $@ $^ -I.. -L../cpdb/.libs/ $(CPDB_FRONTEND_FLAGS) $(GLIB_FLAGS)

pickle_test: pickle_test.c
	gcc -g -pg -o $@ $^ -I.. -L../cpdb/.libs/ $(CPDB_FRONTEND_FLAGS)

clean:
	rm -f print_frontend pickle_test

=== debian/changelog ===
cpdb-libs (2.0~b3-0ubuntu2) lunar; urgency=medium

  * Corrected "make" call for demo/test frontend.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 21 Feb 2023 01:05:22 +0100

cpdb-libs (2.0~b3-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.0b3.
  * Updated the 2 patches manually.
  * Updated the debian/*.symbols files.
  * Renamed the binary packages according to the new upstream library names.
  * Adapted autopkgtest to the new CPDB version.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 20 Feb 2023 22:14:22 +0100

=== debian/control ===
Source: cpdb-libs
Priority: optional
Section: net
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Till Kamppeter <till.kamppeter@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (=13)
	, autoconf
	, pkg-config
	, sharutils
	, libglib2.0-dev
	, libdbus-1-dev
Homepage: https://github.com/OpenPrinting/cpdb-libs
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/printing-team/cpdb-libs
Vcs-Git: https://salsa.debian.org/printing-team/cpdb-libs.git

Package: libcpdb2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Common Print Dialog Backends - Interface Library
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, cloud printing services, Save
 to File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains the library which provides the functions needed
 by both the frontends and the backends.

Package: libcpdb-frontend2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Common Print Dialog Backends - Interface Library for Frontends
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, cloud printing services, Save
 to File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains the library which provides the functions needed
 by the frontends (print dialogs).

Package: libcpdb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcpdb2 (= ${binary:Version})
Description: Common Print Dialog Backends - Development files for Interface Library
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, cloud printing services, Save
 to File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains the header files to develop print dialog
 backends and print dialogs using libcpdb.

Package: libcpdb-frontend-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcpdb-frontend2 (= ${binary:Version}),
 libcpdb2 (= ${binary:Version}),
 libcpdb-dev (= ${binary:Version})
Description: Common Print Dialog Backends - Development files for Frontend Library
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, cloud printing services, Save
 to File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains the header files to develop print dialogs
 supporting the Common Print Dialog Backends interface using
 libcpdb-frontend.

Package: libcpdb-backend-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcpdb2 (= ${binary:Version}),
 libcpdb-dev (= ${binary:Version})
Description: Common Print Dialog Backends - Development files for backends.
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, cloud printing services, Save
 to File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains the header files to develop print dialog
 backends using libcpdb.

Package: cpdb-libs-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# The Breaks/Replaces on libcpdb-libs-common-dev can be dropped after
# Ubuntu 24.04 LTS (April 2024)
Breaks: libcpdb-libs-common-dev (<< 1.2.0-1~),
 libcpdb-libs-tools (<< 2~)
Replaces: libcpdb-libs-common-dev (<< 1.2.0-1~),
 libcpdb-libs-tools (<< 2~)
Description: Common Print Dialog Backends - Tools
 The Common Print Dialog Backends project provides a D-Bus interface
 so that the print dialogs of GUI applications and the communication
 with the print technologies (CUPS/IPP, cloud printing services, Save
 to File, ...)  are put into separate executables to be separately
 exchangeable.
 .
 The print dialogs of the different GUI toolkits and applications
 (GTK, Qt, LibreOffice, ...) are the frontends and to communicate with
 the different print technologies they use common backends. This way
 one simply adds new backends for new print technologies and updates
 the backends for changes in the print technologies, and immediately
 all applications are up-to-date, without need of modifying the code
 of the GUI toolkits or applications.
 .
 This package contains tools to help develop print dialogs supporting
 the Common Print Dialog Backends interface and print backends using
 libcpdb and/or libcpdb-frontend.

Package: libcpdb-libs-tools
Section: oldlibs
Priority: extra
Architecture: all
Depends: cpdb-libs-tools (>= 2~),
         ${misc:Depends}
Description: Common Print Dialog Backends - Tools (transitional package)
 This is a transitional package and can safely be removed once no other
 packages depend on it.

=== debian/rules ===
--- 
+++ 
@@ -6,30 +6,24 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-silent-rules \
-		--with-shell=/bin/sh \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=/usr/share/man \
 		--enable-static
 
 override_dh_auto_build:
 	dh_auto_build; \
-	cd lib; \
-	ln -s . cpd-interface-headers; \
-	cd ../demo; \
-	make CPD_FRONT_FLAGS='-D_FORTIFY_SOURCE=2 -Wl,-z,now -Wl,-z,relro -I../lib -L../lib/.libs -lcpdb-libs-frontend -lcpdb-libs-common' print_frontend; \
-	cd ../lib;
-	rm -f cpd-interface-headers; \
+	cd demo; \
+	make CPDB_FRONTEND_FLAGS='-D_FORTIFY_SOURCE=2 -Wl,-z,now -Wl,-z,relro -I../lib -L../cpdb/.libs -lcpdb-frontend -lcpdb' print_frontend; \
 	cd ..
 
 override_dh_installdocs:
-	dh_installdocs -A README.md
+	dh_installdocs -A README.md CHANGES.md LICENSE.md
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
 override_dh_auto_clean:
 	[ ! -r Makefile ] || make distclean
-	rm -f lib/cpd-interface-headers
 
 override_dh_install:
 	dh_install

## cpdb-libs 2.0~b4

=== debian/changelog ===
cpdb-libs (2.0~b4-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.0b4.
    - Added "make check" test.
    - Renamed test/developer tools and install them.
    - Support for "make check" test in backend packages.
    - Minor fixes of bugs discovered with test scripts.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 20 Mar 2023 15:28:29 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	, sharutils
 	, libglib2.0-dev
 	, libdbus-1-dev
+	, dbus-daemon
 Homepage: https://github.com/OpenPrinting/cpdb-libs
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,6 @@
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=/usr/share/man \
 		--enable-static
-
-override_dh_auto_build:
-	dh_auto_build; \
-	cd demo; \
-	make CPDB_FRONTEND_FLAGS='-D_FORTIFY_SOURCE=2 -Wl,-z,now -Wl,-z,relro -I../lib -L../cpdb/.libs -lcpdb-frontend -lcpdb' print_frontend; \
-	cd ..
 
 override_dh_installdocs:
 	dh_installdocs -A README.md CHANGES.md LICENSE.md

=== debian/tests/control ===
Tests: test-frontend-vs-cups-backend
Restrictions: needs-root
Depends: cpdb-libs-tools,
	 cpdb-backend-cups,
	 cups-core-drivers,
	 cups-client,
	 cups-ppdc,
	 cups,
	 cups-filters

=== debian/watch ===
version=4
https://github.com/OpenPrinting/cpdb-libs/releases .*/cpdb-libs-(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz)

## cpdb-libs 2.0~b5

=== debian/changelog ===
cpdb-libs (2.0~b5-2) unstable; urgency=medium

  * don't update to a newer version, there is a soname problem!
  * add dont_link_libcrypt.patch (Closes: #1102459)
    (Thanks to Helmut Grohne for providing the patch)
    (Closes: #1106906 as well, as no libcrypt is needed)
  * temporarily deactivate tests until cups3 is available
    (Closes: #1108870)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 24 Nov 2025 22:29:17 +0100

cpdb-libs (2.0~b5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: 1061904.

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 19:40:02 +0000

cpdb-libs (2.0~b5-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Feb 2024 00:29:17 +0100

cpdb-libs (1.2.0-3) unstable; urgency=medium

  * CVE-2023-34095 (Closes: #1038253)
    buffer overflow via improper use of scanf()/fscanf()

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 27 Jun 2023 22:03:02 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -11,7 +13,7 @@
 		--enable-static
 
 override_dh_installdocs:
-	dh_installdocs -A README.md CHANGES.md LICENSE.md
+	dh_installdocs -A README.md
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4

=== debian/tests/control ===
Tests: test-frontend-vs-cups-backend
Restrictions: needs-root, allow-stderr, superficial
Depends: cpdb-libs-tools (>= 2.0~b4),
         cpdb-backend-cups (>= 2.0~b4),
         libcupsfilters2-common (>= 2~),
         cups-client,
         cups-ppdc,

# these can not be used by cpdb-libs>2 at the moment
#         cups,
#         cups-filters (>= 2~),

## cpdb-libs 2.0~b7

=== debian/changelog ===
cpdb-libs (2.0~b7-0ubuntu3) plucky; urgency=medium

  * debian/tests/control: Versioned (2.0b7) dependency on cpdb-backend-cups
    and cpdb-libs-tools, otherwise the autopkgtest takes the old, released
    versions here.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 28 Feb 2025 09:14:59 +0100

cpdb-libs (2.0~b7-0ubuntu2) plucky; urgency=medium

  * Corrected autopkgtest debian/tests/test-frontend-vs-cups-backend
    as sending a job from the cpdb-text-backend does not produce a
    confirmation message any more, so removed the check for it.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 27 Feb 2025 23:20:59 +0100

cpdb-libs (2.0~b7-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - cpdb-libs 2.0b6: Changes for sandboxed packaging, job data is
      streamed through domain sockets now and the frontend not being a D-Bus
      service any more. Also several crashers got fixed.
    - cpdb-libs 2.0b7: Development was mostly led by Biswadeep Purkayastha,
      GSoC contributor on CPDB support for LibreOffice, and his mentor
      Michael Weghorn, LibreOffice developer. Many bugs, especially memory
      leaks, got fixed and the API got improved, following actual needs.
  * Removed upstream-backported patches.
  * Refreshed remaining patches.
  * Updated symbols files debian/libcpdb2t64.symbols and
    debian/libcpdb-frontend2t64.symbols

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 20 Feb 2025 12:34:59 +0100

cpdb-libs (2.0~b5-1.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:49:04 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: test-frontend-vs-cups-backend
Restrictions: needs-root, allow-stderr
Depends: cpdb-libs-tools (>= 2.0~b7),
         cpdb-backend-cups (>= 2.0b7),
         libcupsfilters2-common (>= 2~),
         cups-client,
         cups-ppdc,
         cups,
         cups-filters (>= 2~),

=== debian/watch ===
version=4
opts=uversionmangle=s/-[-a-zA-Z]*//;s/v?(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b)\d*)$/$1~$2/ \
https://github.com/OpenPrinting/cpdb-libs/tags/ \
 .*/v?(\d\S*)\.(?:tar\.gz|tgz) debian uupdate
